#include "time_zones.h"

TimeZone time_zones[] = {
    {
        "CVT",
        {
            "Cape Verde Time",
            "Africa Time Zones",
            "UTC -1:00",
            "Standard",
            "None"
        }
    },
    {
        "CAT",
        {
            "Central Africa Time",
            "Africa Time Zones",
            "UTC +2:00",
            "Standard",
            "None"
        }
    },
    {
        "EAT",
        {
            "Eastern Africa Time",
            "Africa Time Zones",
            "UTC +3:00",
            "Standard",
            "None"
        }
    },
    {
        "MUT",
        {
            "Mauritius Time",
            "Africa Time Zones",
            "UTC +4:00",
            "Standard",
            "None"
        }
    },
    {
        "RET",
        {
            "Reunion Time",
            "Africa Time Zones",
            "UTC +4:00",
            "Standard",
            "None"
        }
    },
    {
        "SCT",
        {
            "Seychelles Time",
            "Africa Time Zones",
            "UTC +4:00",
            "Standard",
            "None"
        }
    },
    {
        "SAST",
        {
            "South Africa Standard Time",
            "Africa Time Zones",
            "UTC +2:00",
            "Standard",
            "None"
        }
    },
    {
        "WAST",
        {
            "West Africa Summer Time",
            "Africa Time Zones",
            "UTC +2:00",
            "Daylight",
            "WAT"
        }
    },
    {
        "WAT",
        {
            "West Africa Time",
            "Africa Time Zones",
            "UTC +1:00",
            "Standard",
            "WAST"
        }
    },
    {
        "WT",
        {
            "Western Sahara Standard Time",
            "Africa Time Zones",
            "UTC +0:00",
            "Standard",
            "WST"
        }
    },
    {
        "WST",
        {
            "West Samoa Time",
            "Pacific Time Zones",
            "UTC +13:00",
            "Standard",
            "None"
        }
    },
    {
        "CAST",
        {
            "Casey Time",
            "Antarctica Time Zones",
            "UTC +8:00",
            "Standard",
            "None"
        }
    },
    {
        "DAVT",
        {
            "Davis Time",
            "Antarctica Time Zones",
            "UTC +7:00",
            "Standard",
            "None"
        }
    },
    {
        "DDUT",
        {
            "Dumont-d'Urville Time",
            "Antarctica Time Zones",
            "UTC +10:00",
            "Standard",
            "None"
        }
    },
    {
        "MAWT",
        {
            "Mawson Time",
            "Antarctica Time Zones",
            "UTC +5:00",
            "Standard",
            "None"
        }
    },
    {
        "ROTT",
        {
            "Rothera Time",
            "Antarctica Time Zones",
            "UTC -3:00",
            "Standard",
            "None"
        }
    },
    {
        "SYOT",
        {
            "Syowa Time",
            "Antarctica Time Zones",
            "UTC +3:00",
            "Standard",
            "None"
        }
    },
    {
        "VOST",
        {
            "Vostok Time",
            "Antarctica Time Zones",
            "UTC +6:00",
            "Standard",
            "None"
        }
    },
    {
        "AFT",
        {
            "Afghanistan Time",
            "Asia Time Zones",
            "UTC +4:30",
            "Standard",
            "None"
        }
    },
    {
        "ALMT",
        {
            "Alma-Ata Time",
            "Asia Time Zones",
            "UTC +6:00",
            "Standard",
            "None"
        }
    },
    {
        "ANAST",
        {
            "Anadyr Summer Time",
            "Asia Time Zones",
            "UTC +12:00",
            "Daylight",
            "ANAT"
        }
    },
    {
        "ANAT",
        {
            "Anadyr Time",
            "Asia Time Zones",
            "UTC +12:00",
            "Standard",
            "ANAST"
        }
    },
    {
        "AQTT",
        {
            "Aqtobe Time",
            "Asia Time Zones",
            "UTC +5:00",
            "Standard",
            "None"
        }
    },
    {
        "ADT",
        {
            "Atlantic Daylight Time",
            "North America Time Zones",
            "UTC -3:00",
            "Daylight",
            "AST"
        }
    },
    {
        "AST",
        {
            "Atlantic Standard Time",
            "North America Time Zones",
            "UTC -4:00",
            "Standard",
            "ADT"
        }
    },
    {
        "AMST",
        {
            "Amazon Summer Time",
            "South America Time Zones",
            "UTC -3:00",
            "Daylight",
            "AMT"
        }
    },
    {
        "AMT",
        {
            "Amazon Time",
            "South America Time Zones",
            "UTC -4:00",
            "Standard",
            "AMST"
        }
    },
    {
        "AZST",
        {
            "Azerbaijan Summer Time",
            "Asia Time Zones",
            "UTC +5:00",
            "Daylight",
            "AZT"
        }
    },
    {
        "AZT",
        {
            "Azerbaijan Time",
            "Asia Time Zones",
            "UTC +4:00",
            "Standard",
            "AZST"
        }
    },
    {
        "BST",
        {
            "Bougainville Standard Time",
            "Pacific Time Zones",
            "UTC +11:00",
            "Standard",
            "None"
        }
    },
    {
        "BTT",
        {
            "Bhutan Time",
            "Asia Time Zones",
            "UTC +6:00",
            "Standard",
            "None"
        }
    },
    {
        "BNT",
        {
            "Brunei Darussalam Time",
            "Asia Time Zones",
            "UTC +8:00",
            "Standard",
            "None"
        }
    },
    {
        "WITA",
        {
            "Central Indonesian Time",
            "Asia Time Zones",
            "UTC +8:00",
            "Standard",
            "None"
        }
    },
    {
        "CST",
        {
            "Central Standard Time",
            "North America Time Zones",
            "UTC -6:00",
            "Standard",
            "CDT"
        }
    },
    {
        "CHOT",
        {
            "Choibalsan Time",
            "Asia Time Zones",
            "UTC +8:00",
            "Standard",
            "None"
        }
    },
    {
        "TLT",
        {
            "East Timor Time",
            "Asia Time Zones",
            "UTC +9:00",
            "Standard",
            "None"
        }
    },
    {
        "WIT",
        {
            "Eastern Indonesian Time",
            "Asia Time Zones",
            "UTC +9:00",
            "Standard",
            "None"
        }
    },
    {
        "GET",
        {
            "Georgia Standard Time",
            "Asia Time Zones",
            "UTC +4:00",
            "Standard",
            "None"
        }
    },
    {
        "GST",
        {
            "South Georgia Time",
            "South America Time Zones",
            "UTC -2:00",
            "Standard",
            "None"
        }
    },
    {
        "HKT",
        {
            "Hong Kong Time",
            "Asia Time Zones",
            "UTC +8:00",
            "Standard",
            "None"
        }
    },
    {
        "HOVT",
        {
            "Hovd Time",
            "Asia Time Zones",
            "UTC +7:00",
            "Standard",
            "None"
        }
    },
    {
        "IST",
        {
            "Irish Standard Time",
            "Europe Time Zones",
            "UTC +1:00",
            "Daylight",
            "GMT"
        }
    },
    {
        "ICT",
        {
            "Indochina Time",
            "Asia Time Zones",
            "UTC +7:00",
            "Standard",
            "None"
        }
    },
    {
        "IRDT",
        {
            "Iran Daylight Time",
            "Asia Time Zones",
            "UTC +4:30",
            "Daylight",
            "IRST"
        }
    },
    {
        "IRST",
        {
            "Iran Standard Time",
            "Asia Time Zones",
            "UTC +3:30",
            "Standard",
            "IRDT"
        }
    },
    {
        "IRKST",
        {
            "Irkutsk Summer Time",
            "Asia Time Zones",
            "UTC +9:00",
            "Daylight",
            "IRKT"
        }
    },
    {
        "IRKT",
        {
            "Irkutsk Time",
            "Asia Time Zones",
            "UTC +8:00",
            "Standard",
            "IRKST"
        }
    },
    {
        "IDT",
        {
            "Israel Daylight Time",
            "Asia Time Zones",
            "UTC +3:00",
            "Daylight",
            "IST"
        }
    },
    {
        "JST",
        {
            "Japan Standard Time",
            "Asia Time Zones",
            "UTC +9:00",
            "Standard",
            "None"
        }
    },
    {
        "PETST",
        {
            "Kamchatka Summer Time",
            "Asia Time Zones",
            "UTC +12:00",
            "Daylight",
            "PETT"
        }
    },
    {
        "PETT",
        {
            "Kamchatka Time",
            "Asia Time Zones",
            "UTC +12:00",
            "Standard",
            "PETST"
        }
    },
    {
        "KST",
        {
            "Korea Standard Time",
            "Asia Time Zones",
            "UTC +9:00",
            "Standard",
            "None"
        }
    },
    {
        "KRAST",
        {
            "Krasnoyarsk Summer Time",
            "Asia Time Zones",
            "UTC +8:00",
            "Daylight",
            "KRAT"
        }
    },
    {
        "KRAT",
        {
            "Krasnoyarsk Time",
            "Asia Time Zones",
            "UTC +7:00",
            "Standard",
            "KRAST"
        }
    },
    {
        "KGT",
        {
            "Kyrgyzstan Time",
            "Asia Time Zones",
            "UTC +6:00",
            "Standard",
            "None"
        }
    },
    {
        "MAGST",
        {
            "Magadan Summer Time",
            "Asia Time Zones",
            "UTC +12:00",
            "Daylight",
            "MAGT"
        }
    },
    {
        "MAGT",
        {
            "Magadan Time",
            "Asia Time Zones",
            "UTC +10:00",
            "Standard",
            "MAGST"
        }
    },
    {
        "MYT",
        {
            "Malaysia Time",
            "Asia Time Zones",
            "UTC +8:00",
            "Standard",
            "None"
        }
    },
    {
        "MVT",
        {
            "Maldives Time",
            "Asia Time Zones",
            "UTC +5:00",
            "Standard",
            "None"
        }
    },
    {
        "MMT",
        {
            "Myanmar Time",
            "Asia Time Zones",
            "UTC +6:30",
            "Standard",
            "None"
        }
    },
    {
        "NPT",
        {
            "Nepal Time",
            "Asia Time Zones",
            "UTC +5:45",
            "Standard",
            "None"
        }
    },
    {
        "NOVST",
        {
            "Novosibirsk Summer Time",
            "Asia Time Zones",
            "UTC +7:00",
            "Daylight",
            "NOVT"
        }
    },
    {
        "NOVT",
        {
            "Novosibirsk Time",
            "Asia Time Zones",
            "UTC +7:00",
            "Standard",
            "NOVST"
        }
    },
    {
        "OMST",
        {
            "Omsk Standard Time",
            "Asia Time Zones",
            "UTC +6:00",
            "Standard",
            "OMSST"
        }
    },
    {
        "OMSST",
        {
            "Omsk Summer Time",
            "Asia Time Zones",
            "UTC +7:00",
            "Daylight",
            "OMST"
        }
    },
    {
        "ORAT",
        {
            "Oral Time",
            "Asia Time Zones",
            "UTC +5:00",
            "Standard",
            "None"
        }
    },
    {
        "PKT",
        {
            "Pakistan Standard Time",
            "Asia Time Zones",
            "UTC +5:00",
            "Standard",
            "None"
        }
    },
    {
        "PHT",
        {
            "Philippine Time",
            "Asia Time Zones",
            "UTC +8:00",
            "Standard",
            "None"
        }
    },
    {
        "QYZT",
        {
            "Qyzylorda Time",
            "Asia Time Zones",
            "UTC +6:00",
            "Standard",
            "None"
        }
    },
    {
        "SAKT",
        {
            "Sakhalin Time",
            "Asia Time Zones",
            "UTC +10:00",
            "Standard",
            "None"
        }
    },
    {
        "SGT",
        {
            "Singapore Time",
            "Asia Time Zones",
            "UTC +8:00",
            "Standard",
            "None"
        }
    },
    {
        "SRET",
        {
            "Srednekolymsk Time",
            "Asia Time Zones",
            "UTC +11:00",
            "Standard",
            "None"
        }
    },
    {
        "TJT",
        {
            "Tajikistan Time",
            "Asia Time Zones",
            "UTC +5:00",
            "Standard",
            "None"
        }
    },
    {
        "TMT",
        {
            "Turkmenistan Time",
            "Asia Time Zones",
            "UTC +5:00",
            "Standard",
            "None"
        }
    },
    {
        "ULAT",
        {
            "Ulaanbaatar Time",
            "Asia Time Zones",
            "UTC +8:00",
            "Standard",
            "None"
        }
    },
    {
        "UZT",
        {
            "Uzbekistan Time",
            "Asia Time Zones",
            "UTC +5:00",
            "Standard",
            "None"
        }
    },
    {
        "VLAST",
        {
            "Vladivostok Summer Time",
            "Asia Time Zones",
            "UTC +11:00",
            "Daylight",
            "VLAT"
        }
    },
    {
        "VLAT",
        {
            "Vladivostok Time",
            "Asia Time Zones",
            "UTC +10:00",
            "Standard",
            "VLAST"
        }
    },
    {
        "WIB",
        {
            "Western Indonesian Time",
            "Asia Time Zones",
            "UTC +7:00",
            "Standard",
            "None"
        }
    },
    {
        "YAKST",
        {
            "Yakutsk Summer Time",
            "Asia Time Zones",
            "UTC +10:00",
            "Daylight",
            "YAKT"
        }
    },
    {
        "YAKT",
        {
            "Yakutsk Time",
            "Asia Time Zones",
            "UTC +9:00",
            "Standard",
            "YAKST"
        }
    },
    {
        "YEKST",
        {
            "Yekaterinburg Summer Time",
            "Asia Time Zones",
            "UTC +6:00",
            "Daylight",
            "YEKT"
        }
    },
    {
        "YEKT",
        {
            "Yekaterinburg Time",
            "Asia Time Zones",
            "UTC +5:00",
            "Standard",
            "YEKST"
        }
    },
    {
        "AZOST",
        {
            "Azores Summer Time",
            "Atlantic Time Zones",
            "UTC +0:00",
            "Daylight",
            "AZOT"
        }
    },
    {
        "AZOT",
        {
            "Azores Time",
            "Atlantic Time Zones",
            "UTC -1:00",
            "Standard",
            "AZOST"
        }
    },
    {
        "ACDT",
        {
            "Australian Central Daylight Time",
            "Australia Time Zones",
            "UTC +10:30",
            "Daylight",
            "ACST"
        }
    },
    {
        "ACST",
        {
            "Australian Central Standard Time",
            "Australia Time Zones",
            "UTC +9:30",
            "Standard",
            "ACDT"
        }
    },
    {
        "ACWST",
        {
            "Australian Central Western Standard Time",
            "Australia Time Zones",
            "UTC +8:45",
            "Standard",
            "None"
        }
    },
    {
        "AEDT",
        {
            "Australian Eastern Daylight Time",
            "Australia Time Zones",
            "UTC +11:00",
            "Daylight",
            "AEST"
        }
    },
    {
        "AEST",
        {
            "Australian Eastern Standard Time",
            "Australia Time Zones",
            "UTC +10:00",
            "Standard",
            "AEDT"
        }
    },
    {
        "AWDT",
        {
            "Australian Western Daylight Time",
            "Australia Time Zones",
            "UTC +9:00",
            "Daylight",
            "AWST"
        }
    },
    {
        "AWST",
        {
            "Australian Western Standard Time",
            "Australia Time Zones",
            "UTC +8:00",
            "Standard",
            "AWDT"
        }
    },
    {
        "CXT",
        {
            "Christmas Island Time",
            "Australia Time Zones",
            "UTC +7:00",
            "Standard",
            "None"
        }
    },
    {
        "LHDT",
        {
            "Lord Howe Daylight Time",
            "Australia Time Zones",
            "UTC +11:00",
            "Daylight",
            "LHST"
        }
    },
    {
        "LHST",
        {
            "Lord Howe Standard Time",
            "Australia Time Zones",
            "UTC +10:30",
            "Standard",
            "LHDT"
        }
    },
    {
        "NFT",
        {
            "Norfolk Time",
            "Australia Time Zones",
            "UTC +11:30",
            "Standard",
            "None"
        }
    },
    {
        "CIDST",
        {
            "Cayman Islands Daylight Saving Time",
            "Caribbean Time Zones",
            "UTC -4:00",
            "Daylight",
            "CIST"
        }
    },
    {
        "CIST",
        {
            "Cayman Islands Standard Time",
            "Caribbean Time Zones",
            "UTC -5:00",
            "Standard",
            "CIDST"
        }
    },
    {
        "CDT",
        {
            "Central Daylight Time",
            "North America Time Zones",
            "UTC -5:00",
            "Daylight",
            "CST"
        }
    },
    {
        "UTC",
        {
            "Coordinated Universal Time",
            "Coordinated Universal Time Zones",
            "UTC +0:00",
            "Standard",
            "None"
        }
    },
    {
        "CEST",
        {
            "Central European Summer Time",
            "Europe Time Zones",
            "UTC +2:00",
            "Daylight",
            "CET"
        }
    },
    {
        "CET",
        {
            "Central European Time",
            "Europe Time Zones",
            "UTC +1:00",
            "Standard",
            "CEST"
        }
    },
    {
        "EEST",
        {
            "Eastern European Summer Time",
            "Europe Time Zones",
            "UTC +3:00",
            "Daylight",
            "EET"
        }
    },
    {
        "EET",
        {
            "Eastern European Time",
            "Europe Time Zones",
            "UTC +2:00",
            "Standard",
            "EEST"
        }
    },
    {
        "FET",
        {
            "Further-Eastern European Time",
            "Europe Time Zones",
            "UTC +3:00",
            "Standard",
            "None"
        }
    },
    {
        "GMT",
        {
            "Greenwich Mean Time",
            "Europe Time Zones",
            "UTC +0:00",
            "Standard",
            "BST"
        }
    },
    {
        "KUYT",
        {
            "Kuybyshev Time",
            "Europe Time Zones",
            "UTC +4:00",
            "Standard",
            "None"
        }
    },
    {
        "MSD",
        {
            "Moscow Daylight Time",
            "Europe Time Zones",
            "UTC +4:00",
            "Daylight",
            "MSK"
        }
    },
    {
        "MSK",
        {
            "Moscow Standard Time",
            "Europe Time Zones",
            "UTC +3:00",
            "Standard",
            "MSD"
        }
    },
    {
        "SAMT",
        {
            "Samara Time",
            "Europe Time Zones",
            "UTC +4:00",
            "Standard",
            "None"
        }
    },
    {
        "WEST",
        {
            "Western European Summer Time",
            "Europe Time Zones",
            "UTC +1:00",
            "Daylight",
            "WET"
        }
    },
    {
        "WET",
        {
            "Western European Time",
            "Europe Time Zones",
            "UTC +0:00",
            "Standard",
            "WEST"
        }
    },
    {
        "CCT",
        {
            "Cocos Islands Time",
            "Indian Ocean Time Zones",
            "UTC +6:30",
            "Standard",
            "None"
        }
    },
    {
        "TFT",
        {
            "French Southern and Antarctic Time",
            "Indian Ocean Time Zones",
            "UTC +5:00",
            "Standard",
            "None"
        }
    },
    {
        "IOT",
        {
            "Indian Chagos Time",
            "Indian Ocean Time Zones",
            "UTC +6:00",
            "Standard",
            "None"
        }
    },
    {
        "A",
        {
            "Alpha Time Zone",
            "Military Time Zones",
            "UTC +1:00",
            "Standard",
            "None"
        }
    },
    {
        "B",
        {
            "Bravo Time Zone",
            "Military Time Zones",
            "UTC +2:00",
            "Standard",
            "None"
        }
    },
    {
        "C",
        {
            "Charlie Time Zone",
            "Military Time Zones",
            "UTC +3:00",
            "Standard",
            "None"
        }
    },
    {
        "D",
        {
            "Delta Time Zone",
            "Military Time Zones",
            "UTC +4:00",
            "Standard",
            "None"
        }
    },
    {
        "E",
        {
            "Echo Time Zone",
            "Military Time Zones",
            "UTC +5:00",
            "Standard",
            "None"
        }
    },
    {
        "F",
        {
            "Foxtrot Time Zone",
            "Military Time Zones",
            "UTC +6:00",
            "Standard",
            "None"
        }
    },
    {
        "G",
        {
            "Golf Time Zone",
            "Military Time Zones",
            "UTC +7:00",
            "Standard",
            "None"
        }
    },
    {
        "H",
        {
            "Hotel Time Zone",
            "Military Time Zones",
            "UTC +8:00",
            "Standard",
            "None"
        }
    },
    {
        "I",
        {
            "India Time Zone",
            "Military Time Zones",
            "UTC +9:00",
            "Standard",
            "None"
        }
    },
    {
        "K",
        {
            "Kilo Time Zone",
            "Military Time Zones",
            "UTC +10:00",
            "Standard",
            "None"
        }
    },
    {
        "L",
        {
            "Lima Time Zone",
            "Military Time Zones",
            "UTC +11:00",
            "Standard",
            "None"
        }
    },
    {
        "M",
        {
            "Mike Time Zone",
            "Military Time Zones",
            "UTC +12:00",
            "Standard",
            "None"
        }
    },
    {
        "N",
        {
            "November Time Zone",
            "Military Time Zones",
            "UTC -1:00",
            "Standard",
            "None"
        }
    },
    {
        "O",
        {
            "Oscar Time Zone",
            "Military Time Zones",
            "UTC -2:00",
            "Standard",
            "None"
        }
    },
    {
        "P",
        {
            "Papa Time Zone",
            "Military Time Zones",
            "UTC -3:00",
            "Standard",
            "None"
        }
    },
    {
        "Q",
        {
            "Quebec Time Zone",
            "Military Time Zones",
            "UTC -4:00",
            "Standard",
            "None"
        }
    },
    {
        "R",
        {
            "Romeo Time Zone",
            "Military Time Zones",
            "UTC -5:00",
            "Standard",
            "None"
        }
    },
    {
        "S",
        {
            "Sierra Time Zone",
            "Military Time Zones",
            "UTC -6:00",
            "Standard",
            "None"
        }
    },
    {
        "T",
        {
            "Tango Time Zone",
            "Military Time Zones",
            "UTC -7:00",
            "Standard",
            "None"
        }
    },
    {
        "U",
        {
            "Uniform Time Zone",
            "Military Time Zones",
            "UTC -8:00",
            "Standard",
            "None"
        }
    },
    {
        "V",
        {
            "Victor Time Zone",
            "Military Time Zones",
            "UTC -9:00",
            "Standard",
            "None"
        }
    },
    {
        "W",
        {
            "Whiskey Time Zone",
            "Military Time Zones",
            "UTC -10:00",
            "Standard",
            "None"
        }
    },
    {
        "X",
        {
            "X-ray Time Zone",
            "Military Time Zones",
            "UTC -11:00",
            "Standard",
            "None"
        }
    },
    {
        "Y",
        {
            "Yankee Time Zone",
            "Military Time Zones",
            "UTC -12:00",
            "Standard",
            "None"
        }
    },
    {
        "Z",
        {
            "Zulu Time Zone",
            "Military Time Zones",
            "UTC +0:00",
            "Standard",
            "None"
        }
    },
    {
        "AKDT",
        {
            "Alaska Daylight Time",
            "North America Time Zones",
            "UTC -8:00",
            "Daylight",
            "AKST"
        }
    },
    {
        "AKST",
        {
            "Alaska Standard Time",
            "North America Time Zones",
            "UTC -9:00",
            "Standard",
            "AKDT"
        }
    },
    {
        "EGT",
        {
            "East Greenland Time",
            "North America Time Zones",
            "UTC -1:00",
            "Standard",
            "None"
        }
    },
    {
        "EDT",
        {
            "Eastern Daylight Time",
            "North America Time Zones",
            "UTC -4:00",
            "Daylight",
            "EST"
        }
    },
    {
        "EGST",
        {
            "Eastern Greenland Summer Time",
            "North America Time Zones",
            "UTC +0:00",
            "Daylight",
            "EGT"
        }
    },
    {
        "EST",
        {
            "Eastern Standard Time",
            "North America Time Zones",
            "UTC -5:00",
            "Standard",
            "EDT"
        }
    },
    {
        "HADT",
        {
            "Hawaii-Aleutian Daylight Time",
            "North America Time Zones",
            "UTC -9:00",
            "Daylight",
            "HAST"
        }
    },
    {
        "HAST",
        {
            "Hawaii-Aleutian Standard Time",
            "North America Time Zones",
            "UTC -10:00",
            "Standard",
            "HADT"
        }
    },
    {
        "MDT",
        {
            "Mountain Daylight Time",
            "North America Time Zones",
            "UTC -6:00",
            "Daylight",
            "MST"
        }
    },
    {
        "MST",
        {
            "Mountain Standard Time",
            "North America Time Zones",
            "UTC -7:00",
            "Standard",
            "MDT"
        }
    },
    {
        "NDT",
        {
            "Newfoundland Daylight Time",
            "North America Time Zones",
            "UTC -2:30",
            "Daylight",
            "NST"
        }
    },
    {
        "NST",
        {
            "Newfoundland Standard Time",
            "North America Time Zones",
            "UTC -3:30",
            "Standard",
            "NDT"
        }
    },
    {
        "PDT",
        {
            "Pacific Daylight Time",
            "North America Time Zones",
            "UTC -7:00",
            "Daylight",
            "PST"
        }
    },
    {
        "PST",
        {
            "Pacific Standard Time",
            "Pacific Time Zones",
            "UTC -8:00",
            "Standard",
            "PDT"
        }
    },
    {
        "PMDT",
        {
            "Pierre & Miquelon Daylight Time",
            "North America Time Zones",
            "UTC -2:00",
            "Daylight",
            "PMST"
        }
    },
    {
        "PMST",
        {
            "Pierre & Miquelon Standard Time",
            "North America Time Zones",
            "UTC -3:00",
            "Standard",
            "PMDT"
        }
    },
    {
        "WGT",
        {
            "West Greenland Time",
            "North America Time Zones",
            "UTC -3:00",
            "Standard",
            "WGST"
        }
    },
    {
        "WGST",
        {
            "Western Greenland Summer Time",
            "North America Time Zones",
            "UTC -2:00",
            "Daylight",
            "WGT"
        }
    },
    {
        "AOE",
        {
            "Anywhere on Earth",
            "Pacific Time Zones",
            "UTC -12:00",
            "Standard",
            "None"
        }
    },
    {
        "CHST",
        {
            "Chamorro Standard Time",
            "Pacific Time Zones",
            "UTC +10:00",
            "Standard",
            "None"
        }
    },
    {
        "CHADT",
        {
            "Chatham Island Daylight Time",
            "Pacific Time Zones",
            "UTC +13:45",
            "Daylight",
            "CHAST"
        }
    },
    {
        "CHAST",
        {
            "Chatham Island Standard Time",
            "Pacific Time Zones",
            "UTC +12:45",
            "Standard",
            "CHADT"
        }
    },
    {
        "CHUT",
        {
            "Chuuk Time",
            "Pacific Time Zones",
            "UTC +10:00",
            "Standard",
            "None"
        }
    },
    {
        "CKT",
        {
            "Cook Island Time",
            "Pacific Time Zones",
            "UTC -10:00",
            "Standard",
            "None"
        }
    },
    {
        "EAST",
        {
            "Easter Island Standard Time",
            "Pacific Time Zones",
            "UTC -6:00",
            "Standard",
            "EASST"
        }
    },
    {
        "EASST",
        {
            "Easter Island Summer Time",
            "Pacific Time Zones",
            "UTC -5:00",
            "Daylight",
            "EAST"
        }
    },
    {
        "FJST",
        {
            "Fiji Summer Time",
            "Pacific Time Zones",
            "UTC +13:00",
            "Daylight",
            "FJT"
        }
    },
    {
        "FJT",
        {
            "Fiji Time",
            "Pacific Time Zones",
            "UTC +12:00",
            "Standard",
            "FJST"
        }
    },
    {
        "GALT",
        {
            "Galapagos Time",
            "Pacific Time Zones",
            "UTC -6:00",
            "Standard",
            "None"
        }
    },
    {
        "GAMT",
        {
            "Gambier Time",
            "Pacific Time Zones",
            "UTC -9:00",
            "Standard",
            "None"
        }
    },
    {
        "GILT",
        {
            "Gilbert Island Time",
            "Pacific Time Zones",
            "UTC +12:00",
            "Standard",
            "None"
        }
    },
    {
        "KOST",
        {
            "Kosrae Time",
            "Pacific Time Zones",
            "UTC +11:00",
            "Standard",
            "None"
        }
    },
    {
        "LINT",
        {
            "Line Islands Time",
            "Pacific Time Zones",
            "UTC +14:00",
            "Standard",
            "None"
        }
    },
    {
        "MART",
        {
            "Marquesas Time",
            "Pacific Time Zones",
            "UTC -9:30",
            "Standard",
            "None"
        }
    },
    {
        "MHT",
        {
            "Marshall Islands Time",
            "Pacific Time Zones",
            "UTC +12:00",
            "Standard",
            "None"
        }
    },
    {
        "NRT",
        {
            "Nauru Time",
            "Pacific Time Zones",
            "UTC +12:00",
            "Standard",
            "None"
        }
    },
    {
        "NCT",
        {
            "New Caledonia Time",
            "Pacific Time Zones",
            "UTC +11:00",
            "Standard",
            "None"
        }
    },
    {
        "NZDT",
        {
            "New Zealand Daylight Time",
            "Pacific Time Zones",
            "UTC +13:00",
            "Daylight",
            "NZST"
        }
    },
    {
        "NZST",
        {
            "New Zealand Standard Time",
            "Pacific Time Zones",
            "UTC +12:00",
            "Standard",
            "NZDT"
        }
    },
    {
        "NUT",
        {
            "Niue Time",
            "Pacific Time Zones",
            "UTC -11:00",
            "Standard",
            "None"
        }
    },
    {
        "PWT",
        {
            "Palau Time",
            "Pacific Time Zones",
            "UTC +9:00",
            "Standard",
            "None"
        }
    },
    {
        "PGT",
        {
            "Papua New Guinea Time",
            "Pacific Time Zones",
            "UTC +10:00",
            "Standard",
            "None"
        }
    },
    {
        "PHOT",
        {
            "Phoenix Island Time",
            "Pacific Time Zones",
            "UTC +13:00",
            "Standard",
            "None"
        }
    },
    {
        "PONT",
        {
            "Pohnpei Standard Time",
            "Pacific Time Zones",
            "UTC +11:00",
            "Standard",
            "None"
        }
    },
    {
        "SST",
        {
            "Samoa Standard Time",
            "Pacific Time Zones",
            "UTC -11:00",
            "Standard",
            "None"
        }
    },
    {
        "SBT",
        {
            "Solomon Islands Time",
            "Pacific Time Zones",
            "UTC +11:00",
            "Standard",
            "None"
        }
    },
    {
        "TAHT",
        {
            "Tahiti Time",
            "Pacific Time Zones",
            "UTC -10:00",
            "Standard",
            "None"
        }
    },
    {
        "TKT",
        {
            "Tokelau Time",
            "Pacific Time Zones",
            "UTC +13:00",
            "Standard",
            "None"
        }
    },
    {
        "TOT",
        {
            "Tonga Time",
            "Pacific Time Zones",
            "UTC +13:00",
            "Standard",
            "None"
        }
    },
    {
        "TVT",
        {
            "Tuvalu Time",
            "Pacific Time Zones",
            "UTC +12:00",
            "Standard",
            "None"
        }
    },
    {
        "VUT",
        {
            "Vanuatu Time",
            "Pacific Time Zones",
            "UTC +11:00",
            "Standard",
            "None"
        }
    },
    {
        "WAKT",
        {
            "Wake Time",
            "Pacific Time Zones",
            "UTC +12:00",
            "Standard",
            "None"
        }
    },
    {
        "WFT",
        {
            "Wallis and Futuna Time",
            "Pacific Time Zones",
            "UTC +12:00",
            "Standard",
            "None"
        }
    },
    {
        "YAPT",
        {
            "Yap Time",
            "Pacific Time Zones",
            "UTC +10:00",
            "Standard",
            "None"
        }
    },
    {
        "ACT",
        {
            "Acre Time",
            "South America Time Zones",
            "UTC -5:00",
            "Standard",
            "None"
        }
    },
    {
        "ART",
        {
            "Argentina Time",
            "South America Time Zones",
            "UTC -3:00",
            "Standard",
            "None"
        }
    },
    {
        "BOT",
        {
            "Bolivia Time",
            "South America Time Zones",
            "UTC -4:00",
            "Standard",
            "None"
        }
    },
    {
        "BRST",
        {
            "Brasilia Summer Time",
            "South America Time Zones",
            "UTC -2:00",
            "Daylight",
            "BRT"
        }
    },
    {
        "BRT",
        {
            "Brasilia Time",
            "South America Time Zones",
            "UTC -3:00",
            "Standard",
            "BRST"
        }
    },
    {
        "CLT",
        {
            "Chile Standard Time",
            "South America Time Zones",
            "UTC -3:00",
            "Standard",
            "CLST"
        }
    },
    {
        "CLST",
        {
            "Chile Summer Time",
            "South America Time Zones",
            "UTC -3:00",
            "Daylight",
            "CLT"
        }
    },
    {
        "COT",
        {
            "Colombia Time",
            "South America Time Zones",
            "UTC -5:00",
            "Standard",
            "None"
        }
    },
    {
        "ECT",
        {
            "Ecuador Time",
            "South America Time Zones",
            "UTC -5:00",
            "Standard",
            "None"
        }
    },
    {
        "FKT",
        {
            "Falkland Island Time",
            "South America Time Zones",
            "UTC -4:00",
            "Standard",
            "FKST"
        }
    },
    {
        "FKST",
        {
            "Falkland Islands Summer Time",
            "South America Time Zones",
            "UTC -3:00",
            "Daylight",
            "FKT"
        }
    },
    {
        "FNT",
        {
            "Fernando de Noronha Time",
            "South America Time Zones",
            "UTC -2:00",
            "Standard",
            "None"
        }
    },
    {
        "GFT",
        {
            "French Guiana Time",
            "South America Time Zones",
            "UTC -3:00",
            "Standard",
            "None"
        }
    },
    {
        "GYT",
        {
            "Guyana Time",
            "South America Time Zones",
            "UTC -4:00",
            "Standard",
            "None"
        }
    },
    {
        "PYST",
        {
            "Paraguay Summer Time",
            "South America Time Zones",
            "UTC -3:00",
            "Daylight",
            "PYT"
        }
    },
    {
        "PYT",
        {
            "Paraguay Time",
            "South America Time Zones",
            "UTC -4:00",
            "Standard",
            "PYST"
        }
    },
    {
        "PET",
        {
            "Peru Time",
            "South America Time Zones",
            "UTC -5:00",
            "Standard",
            "None"
        }
    },
    {
        "SRT",
        {
            "Suriname Time",
            "South America Time Zones",
            "UTC -3:00",
            "Standard",
            "None"
        }
    },
    {
        "UYST",
        {
            "Uruguay Summer Time",
            "South America Time Zones",
            "UTC -2:00",
            "Daylight",
            "UYT"
        }
    },
    {
        "UYT",
        {
            "Uruguay Time",
            "South America Time Zones",
            "UTC -3:00",
            "Standard",
            "UYST"
        }
    },
    {
        "VET",
        {
            "Venezuelan Standard Time",
            "South America Time Zones",
            "UTC -4:30",
            "Standard",
            "None"
        }
    },
    {
        "WARST",
        {
            "Western Argentine Summer Time",
            "South America Time Zones",
            "UTC -3:00",
            "Daylight",
            "None"
        }
    }
};

int time_zones_count = sizeof(time_zones) / sizeof(time_zones[0]);